Bug 52885 - ActivityIndicatorView does not null check the IndeterminateDrawable
Summary: ActivityIndicatorView does not null check the IndeterminateDrawable
Status: RESOLVED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Android (show other bugs)
Version: unspecified
Hardware: PC Mac OS
: High normal
Target Milestone: 2.3.4 (C9)
Assignee: Bugzilla
URL:
: 53405 (view as bug list)
Depends on:
Blocks:
 
Reported: 2017-02-28 07:03 UTC by Alan McGovern
Modified: 2017-03-23 11:53 UTC (History)
5 users (show)

Tags: ac
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Alan McGovern 2017-02-28 07:03:06 UTC
https://gist.github.com/alanmcgovern/25c4afee5ce243e9359257a346d52ed0#file-gistfile1-txt-L2

The forms previewer is hitting this in the app-crm xamarin sample.

Related bug: https://bugzilla.xamarin.com/show_bug.cgi?id=52865
Comment 1 Alan McGovern 2017-02-28 18:07:50 UTC
btw, i am just assuming that's the issue. I think it's a reasonable assumption that the control itself is not null :P
Comment 2 Alan McGovern 2017-03-04 00:49:25 UTC
This is for the 2.3.4 final release if at all possible.
Comment 3 Samantha Houts [MSFT] 2017-03-08 02:51:41 UTC
https://github.com/xamarin/Xamarin.Forms/pull/804
Comment 4 Samantha Houts [MSFT] 2017-03-08 17:44:29 UTC
Should be in 2.3.4-pre3. Thank you!
Comment 5 Alan McGovern 2017-03-23 11:53:35 UTC
*** Bug 53405 has been marked as a duplicate of this bug. ***